Skip to main content
GET
List event feed posts

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:200

The number of items per page

Required range: 0 <= x <= 100
owner
string
owner[]
string[]
parent
string
parent[]
string[]
discussion
string
discussion[]
string[]
task
string
task[]
string[]
event
string
event[]
string[]
eventFeedCategory
string
eventFeedCategory[]
string[]
mentions
string
mentions[]
string[]
exists[parent]
boolean
exists[discussion]
boolean
exists[task]
boolean
exists[event]
boolean
exists[eventFeedCategory]
boolean
exists[pinnedAt]
boolean

Response

200 - application/json

Post collection

id
integer
read-only
owner
object | null
ownerContact
object | null
childrenCount
integer
default:0
dateCreated
string<date-time>
read-only
mentions
object[]
contactMentions
object[]
content
string | null
reactionData
(string | null)[]
read-only
myReactions
(string | null)[]
embedOpenGraph
object | null
medias
object[]
isDeleted
boolean
default:false
moderated
string<iri-reference> | null
Example:

"/api/v1/logs/1"

moderationStatus
string | null
task
string<iri-reference> | null
Example:

"/api/v1/tasks/1"

event
string<iri-reference> | null
Example:

"/api/v1/events/1"

eventFeedCategory
object | null
pinnedAt
string<date-time> | null
parentId
integer | null
read-only